Please update bpfcc-tools for Eoan/Kernel 5.3 support

Bug #1848137 reported by Peter Stöckli on 2019-10-15
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
bpfcc (Ubuntu)
Undecided
Unassigned

Bug Description

Hello,
first of all: thanks for maintaining this package for Ubuntu!

My question: Would it be possible to update this package to use the newest bcc version?
Background: Ubuntu 19.10 (Eoan) will use a 5.3 Kernel and support for 5.3 Kernels seems to be added only recently in the bcc version v0.11.0:

https://github.com/iovisor/bcc/releases/tag/v0.11.0

General Information:

Ubuntu 19.10 Beta:
Description: Ubuntu Eoan Ermine (development branch)
Release: 19.10

Kernel:
5.3.0-18-generic #19-Ubuntu SMP Tue Oct 8 20:14:06 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Package version:
bpfcc-tools:
  Installed: 0.8.0-4
  Candidate: 0.8.0-4

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bpfcc (Ubuntu):
status: New → Confirmed
Török Edwin (edwintorok) wrote :

https://github.com/iovisor/bcc/blob/master/INSTALL.md#ubuntu---binary currently recommends to build bcc from source because some of the tools shipped by the Ubuntu 19.10 package don't work with the kernel shipped by Ubuntu 19.10.
This is not ideal, could you please bump the version of bpfcc in Ubuntu 19.10 to make it fully functional?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers